%define major 4
%define libname %mklibname zip %{major}
%define develname %mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	1.1.3
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
Patch0:		libzip-0.11.1-fix_pkgconfig.patch
BuildRequires:	libtool
BuildRequires:	zlib-devel

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:		System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{mklibname zip 1}-devel

%description -n	%{develname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

This package contains the static %{name} library and its header files.

%prep

%setup -q
%patch0 -p1

# fix test return state
sed -i -e 's:19/2:19/0:' regress/open_nonarchive.test

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# adapt for the mdv multiarch kludge
mv %{buildroot}%{_libdir}/libzip/include/zipconf.h %{buildroot}%{_includedir}/zipconf.h

%multiarch_includes %{buildroot}%{_includedir}/zipconf.h

%files
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptool.1*

%files -n %{libname}
%doc AUTHORS NEWS.md THANKS
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc API-CHANGES
%{_includedir}/*
%{multiarch_includedir}/zipconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*


%changelog
* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 1045305
- 1.1.3

* Thu Feb 25 2016 oden <oden> 1.1.2-1.mga6
+ Revision: 978908
- 1.1.2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Nov 14 2015 oden <oden> 1.0.1-1.mga6
+ Revision: 903115
- 1.0.1
- rediff one patch, drop the others
- use the multiarch kludge
- php-7.0.0RC? has bundled libzip-1.0.1 so, should work fine...

* Fri Mar 20 2015 luigiwalser <luigiwalser> 0.11.2-4.mga5
+ Revision: 818999
- rediff patch from php to fix CVE-2015-2331

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 742454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-2.mga5
+ Revision: 681922
- Mageia 5 Mass Rebuild

* Fri Mar 28 2014 luigiwalser <luigiwalser> 0.11.2-1.mga5
+ Revision: 609119
- 0.11.2
- rediff patch 1
- remove upstreamed portion of patch 2

* Mon Oct 21 2013 umeabot <umeabot> 0.11.1-2.mga4
+ Revision: 540664
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 0.11.1-1.mga4
+ Revision: 494136
- no test for now

  + luigiwalser <luigiwalser>
    - 0.11.1
    - rediff pkgconfig patch
    - update php patch (from fedora)
    - remove patches 3 and 4 (fixed upstream)

* Sat Jan 12 2013 cjw <cjw> 0.10.1-3.mga3
+ Revision: 360464
- patch4: fix tests with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 spuhler <spuhler> 0.10.1-2.mga3
+ Revision: 330707
- bumped rel for build mga3
  cleaned spec file for un-needed lines

* Mon Apr 09 2012 pterjan <pterjan> 0.10.1-1.mga2
+ Revision: 229840
- Fix decrypt code on x86_64 with zlib >= 1.2.5.1 (mga#5063)
- Drop obsolete scriptlets
- imported package libzip

  + luigiwalser <luigiwalser>
    - 0.10.1 (fix CVE-2012-1162 and CVE-2012-1163)
    - add patch 2 (fedora)

  + fwang <fwang>
    - add some gentoo patches to fix include headers

